/*****************************************************************************
 Extended String Class

 DEFINITION

 Author: Dima V. Fedorov <mailto:dima@dimin.net> <http://www.dimin.net/>

 History:
   12/05/2005 23:38 - First creation

 Ver : 1
*****************************************************************************/

#ifndef XSTRING_H
#define XSTRING_H
//#pragma message(">>>>>  xstring: included enhanced string")


// windows: use secure C libraries with VS2005 or higher
#if ( defined(_MSC_VER) && (_MSC_VER >= 1400) )
  #define HAVE_SECURE_C
  #pragma message(">>>>>  xstring: using secure c libraries")
#endif 

#include <string>

const int MAX_STR_SIZE = 1024;

class xstring: public std::string
{
public:
  xstring &sprintf(const char *fmt, ...);
  xstring &saddf(const char *fmt, ...);

  //xstring &insertAfter(const char *p, const char *s);
  xstring &insertAfterLast(const char *p, const xstring &s);
};


#endif // XSTRING_H
